from PIL import Image
from utils import Color
from tqdm import tqdm

def getImageByColor(color):
    return Image.open(f'means/mean_flat-field_nef_wavelet_{color}.png')

color = Color.BLUE
image = getImageByColor(color)
width, height = image.size

multipleColorsImage = Image.new('RGB', [dimension * 2 for dimension in image.size])

def getNewIndex(index, offset):
    newIndex = (index - offset) * 2 + offset
    return newIndex

for color in tqdm(Color, 'Color'):
    colorImage = getImageByColor(color)
    for y in tqdm(range(height), 'Height'):
        for x in range(width):
            pixel = colorImage.getpixel((x, y))
            '''
            Assume Bayer Filter:
            RG
            GB
            '''
            offsetX, offsetY = {
                Color.RED: (0, 0),
                Color.GREEN_RIGHT: (1, 0),
                Color.GREEN_BOTTOM: (0, 1),
                Color.BLUE: (1, 1),
            }[color]
            newX, newY = [getNewIndex(index, offset) for index, offset in [(x, offsetX), (y, offsetY)]]

            multipleColorsImage.putpixel((newX, newY), pixel)

multipleColorsImage.save('multipleColors.png')